<?php
/**
 * Themetwo functions and definitions
 *
 *
 * @package truckage
 */

/** Plugin Auto Install **/

require_once ('inc/class-tgm-plugin-activation.php');
include('inc/plugin-install.php');

/** enqueue assets **/

function truckage_resources() {
wp_enqueue_style('style',get_Stylesheet_uri());
wp_enqueue_style('bootstrap',get_template_directory_uri() . '/css/bootstrap.min.css');
wp_enqueue_script('bootstrap',get_template_directory_uri() . '/js/bootstrap.min.js');
wp_enqueue_script('bootstrap',get_template_directory_uri() . '/js/jquery.min.js');
wp_enqueue_script( 'custom-script', get_stylesheet_directory_uri() . '/js/back-to-top.js', array( 'jquery' ) );
wp_enqueue_style( 'Google-fonts', 'https://fonts.googleapis.com/css?family=ABeeZee|Abel|Abhaya+Libre|Abril+Fatface|Aclonica|Acme|Actor|Alegreya|Alegreya+Sans|Anton|Archivo|Archivo+Black|Archivo+Narrow|Arimo|Arvo|Asap|Asap+Condensed|Bitter|Bowlby+One+SC|Bree+Serif|Cabin|Cairo|Catamaran|Crete+Round|Crimson+Text|Cuprum|Dancing+Script|Dosis|Droid+Sans|Droid+Serif|EB+Garamond|Exo|Exo+2|Faustina|Fira+Sans|Fjalla+One|Francois+One|Gloria+Hallelujah|Hind|Inconsolata|Indie+Flower|Josefin+Sans|Julee|Karla|Lato|Libre+Baskerville|Libre+Franklin|Lobster|Lora|Mada|Manuale|Maven+Pro|Merriweather|Merriweather+Sans|Montserrat|Montserrat+Subrayada|Mukta+Vaani|Muli|Noto+Sans|Noto+Serif|Nunito|Open+Sans|Open+Sans+Condensed:300|Oswald|Oxygen|PT+Sans|PT+Sans+Caption|PT+Sans+Narrow|PT+Serif|Pacifico|Passion+One|Pathway+Gothic+One|Play|Playfair+Display|Poppins|Questrial|Quicksand|Raleway|Roboto|Roboto+Condensed|Roboto+Mono|Roboto+Slab|Ropa+Sans|Rubik|Saira|Saira+Condensed|Saira+Extra+Condensed|Saira+Semi+Condensed|Sedgwick+Ave|Sedgwick+Ave+Display|Shadows+Into+Light|Signika|Slabo+27px|Source+Code+Pro|Source+Sans+Pro|Spectral|Titillium+Web|Ubuntu|Ubuntu+Condensed|Varela+Round|Vollkorn|Work+Sans|Yanone+Kaffeesatz|Zilla+Slab|Zilla+Slab+Highlight');
}
add_action('wp_enqueue_scripts','truckage_resources');
add_theme_support( 'post-thumbnails' );
/** custom logo **/

function truckage_custom_logo_setup() {
 $defaults = array(
 'height'      => 'auto',
 'width'       => 400,
 'flex-height' => true,
 'flex-width'  => true,
 'header-text' => array( 'site-title', 'site-description' ),
 );
add_theme_support( 'custom-logo', $defaults );
}
add_action( 'after_setup_theme', 'truckage_custom_logo_setup' );

/** Custom menu **/

function truckage_setup() {
add_theme_support( 'post-formats', array ( 'aside', 'gallery', 'quote', 'image', 'video' ) );

register_nav_menus(array(
'primary'=>__('Primary'),
'footer'=>__('Footer'),
'social'=>__('Social'),

));
}
add_action( 'after_setup_theme', 'truckage_setup' );

/** To Top button **/

function themeslug_add_scroll_button() {
  echo '<a href="#" id="topbutton"></a>';
}
add_action( 'wp_footer', 'themeslug_add_scroll_button' );

/** Widget **/

function truckage_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'truckage' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'truckage' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 1', 'truckage' ),
		'id'            => 'footer-1',
		'description'   => esc_html__( 'Add widgets here.', 'truckage' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'name'          => esc_html__( 'Footer 2', 'truckage' ),
		'id'            => 'footer-2',
		'description'   => esc_html__( 'Add widgets here.', 'truckage' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	
}
add_action( 'widgets_init', 'truckage_widgets_init' );


/** Customizer **/

require_once('custom/customizer.php');

require_once('custom/customizer-css.php');


?>

